kernel 3.2.28 tomyo pb ?

General conversations about MIB project
Forum rules
Image
Before you post, please read forum rules:
Software requests - How to
Tag [SOLVED] in topics
Post Reply
User avatar
promeneur
Utente senior
Utente senior
Posts: 547
Joined: 6 February 2009, 17:47
ROSA: -
OpenMandriva: 2010.3 i586
Kernel: 3.5.7 nrj dsktp pae
Desktop: MIB kde 4.8.4
country: France

kernel 3.2.28 tomyo pb ?

Post by promeneur »

don't know if it is a pb but in dmesg log i have :

[ 5.853602] Not activating Mandatory Access Control as /sbin/tomoyo-init does not exist.
Asus M2N, AMD Athlon 64 X2 5000+, 8 GB, Asus Nvidia 210 silent, Linksys WMP600N, Plugable USB-BT4LE Bluetooth 4.0 Adapter, lecteur multicarte Addonics AEIDDSAU, HP LaserJet 1220

User avatar
NicCo
Amministratore
Amministratore
Posts: 4739
Joined: 6 December 2007, 19:54

Re: kernel 3.2.28 tomyo pb ?

Post by NicCo »

Me too, you made me worrying, but

Read here:
https://bbs.archlinux.org/viewtopic.php?id=109341

Especially this msg from the moderator that I'm quoting now
This is an old problem. I experienced a similar message some years ago with an Mandriva installation.

It is usually totally safe to ignore this message.


bye, NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
promeneur
Utente senior
Utente senior
Posts: 547
Joined: 6 February 2009, 17:47
ROSA: -
OpenMandriva: 2010.3 i586
Kernel: 3.5.7 nrj dsktp pae
Desktop: MIB kde 4.8.4
country: France

Re: kernel 3.2.28 tomyo pb ?

Post by promeneur »

it's just a mean to protect system from app behavior by learning authorized behavior

no protection is activating till you add apps in a list of the app to protect

read

http://tomoyo.sourceforge.jp/2.2/
Asus M2N, AMD Athlon 64 X2 5000+, 8 GB, Asus Nvidia 210 silent, Linksys WMP600N, Plugable USB-BT4LE Bluetooth 4.0 Adapter, lecteur multicarte Addonics AEIDDSAU, HP LaserJet 1220

User avatar
promeneur
Utente senior
Utente senior
Posts: 547
Joined: 6 February 2009, 17:47
ROSA: -
OpenMandriva: 2010.3 i586
Kernel: 3.5.7 nrj dsktp pae
Desktop: MIB kde 4.8.4
country: France

Re: kernel 3.2.28 tomyo pb ?

Post by promeneur »

mandriva already uses another policy tool

i assume we prefer not use another policy tools according to avoid policy compliancy pb.

or

perhaps mandriva tool and tomoyo are for different purposes then no policy conflict ?
Asus M2N, AMD Athlon 64 X2 5000+, 8 GB, Asus Nvidia 210 silent, Linksys WMP600N, Plugable USB-BT4LE Bluetooth 4.0 Adapter, lecteur multicarte Addonics AEIDDSAU, HP LaserJet 1220

User avatar
GvMariani
Collaboratore
Collaboratore
Posts: 610
Joined: 27 July 2009, 11:31
ROSA: 2016.1 Fresh R10
OpenMandriva: -
Kernel: 4.19.13-nrj-desktop
Desktop: Plasma 5
country: Italy
Location: Cologno Monzese (MI) - Italia

Re: kernel 3.2.28 tomyo pb ?

Post by GvMariani »

promeneur wrote:mandriva already uses another policy tool
i assume we prefer not use another policy tools according to avoid policy compliancy pb.
or
perhaps mandriva tool and tomoyo are for different purposes then no policy conflict ?
AFAICT the tomoyo kernel is included with the kernel but is not activated at bootstrap unless it finds the
file "/sbin/tomoyo-init", hence the harmless message in the system log...

The above file is part of the ccs-tools packages, so to activate the tomoyo MAC you simply install that package
(and next configure the thing...).

However, as I found in the hard way some time ago, newer kernels can need newer tomoyo-init binaries, otherwise
the system fails to boot: for sure the one provided by our ancient 2010.2 does not work with any kernel in the 3.x.x space...

GvM

User avatar
promeneur
Utente senior
Utente senior
Posts: 547
Joined: 6 February 2009, 17:47
ROSA: -
OpenMandriva: 2010.3 i586
Kernel: 3.5.7 nrj dsktp pae
Desktop: MIB kde 4.8.4
country: France

Re: kernel 3.2.28 tomyo pb ?

Post by promeneur »

However, as I found in the hard way some time ago, newer kernels can need newer tomoyo-init binaries, otherwise
the system fails to boot: for sure the one provided by our ancient 2010.2 does not work with any kernel in the 3.x.x space...
i installed css-tools and tomoyo gui
then
i initilized tomoyo by running "/usr/lib/ccs/tomoyo_init_policy.sh"
then
i reboot without any pb

kernel 3.2.28 nrj desktop pae

but i won't use tomoyo because i fear conflict and pb.
Asus M2N, AMD Athlon 64 X2 5000+, 8 GB, Asus Nvidia 210 silent, Linksys WMP600N, Plugable USB-BT4LE Bluetooth 4.0 Adapter, lecteur multicarte Addonics AEIDDSAU, HP LaserJet 1220

Post Reply